﻿using BindTo.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace BindTo.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
			ViewBag.inline = GetInlineData();

			return View();
        }

		private IEnumerable<FolderModel> GetInlineData()
		{
			List<FolderModel> inline = new List<FolderModel>
			{
				new FolderModel
				{
					FolderId = 1,
					Name = "root",
					Description = "root description",
					Children = new List<FolderModel>()
					{
						new FolderModel()
						{
							FolderId = 1,
							Name = "Sub Level 1",
							Description = "Sub Level 1 description",
							Documents = new List<DocumentModel>()
							{
								new DocumentModel()
								{
									DocumentId = 2, 
									Name = "PepsiCo Medical Test Doc with picture.docx",
									DocType = 1,
									Note = "Copied from Document.Version 1.1"
								}
							}
						},
						new FolderModel()
						{
							FolderId = 3,
							Name = "Sub Level 2",
							Description = "Sub Level 2_1 description",
							Documents = new List<DocumentModel>()
							{
								new DocumentModel()
								{
									DocumentId = 1,
									Name = "PepsiCo Medical Test Doc with picture.docx",
									DocType = 1,
									Note = null
								}
							}
						}
					}
				}
			};

			return inline;
		}
	}
}
